﻿.k-grid .k-grid-header .k-header .k-link {
    height: auto;
}

.k-grid .k-grid-header .k-header {
    white-space: normal;
}

.navbar-brand.site-logo {
    padding: 0;
}

.k-textbox {
    border-color: #ced4da;
}

.navbar-light .navbar-nav .nav-link {
    color: #000;
}

.validationMessage,
.field-validation-error {
    color: red;
}

html {
    font-size: 13px;
}

.page-host {
    overflow: auto;
}


.form-group.required label:after {
    content: "*";
    color: red;
}

body {
    padding-top: 50px;
    background: #f3f3f3;
}

.k-widget.k-datetimepicker.k-header {
    width: 100%;
}

.body-content {
    background-color: #f3f3f3;
    /*padding: 1px 0;*/
}

.menu-container {
    flex: 0 1 auto;
}

.scrollable-y.scrollable-show,
.scrollable-y:focus,
.scrollable-y:hover,
.scrollable-show-all,
.scrollable-y {
    overflow-y: auto;
}

    .scrollable-x::-webkit-scrollbar,
    .scrollable-y::-webkit-scrollbar {
        width: 6px;
    }

    .scrollable-x::-webkit-scrollbar-thumb,
    .scrollable-y::-webkit-scrollbar-thumb {
        background-color: #888;
    }

    .scrollable-x::-webkit-scrollbar-track,
    .scrollable-y::-webkit-scrollbar-track {
        background-color: #f0f0f0;
    }

.k-button .fas,
.k-button.k-button-icontext .fas {
    margin-right: 8px;
}

.k-grid a.btn-primary {
    color: #FFF;
}

.k-grid a.btn-link {
    color: #007bff;
}


.custom-checkbox .custom-control-input:checked ~ .custom-control-label::before,
.custom-checkbox .custom-control-input:checked ~ .custom-control-label::after,
.custom-checkbox .custom-control-input ~ .custom-control-label::before,
.custom-checkbox .custom-control-input ~ .custom-control-label::after {
    height: 16px;
    width: 16px;
    top: 2px;
}

.custom-radio .custom-control-input:checked ~ .custom-control-label::before,
.custom-radio .custom-control-input:checked ~ .custom-control-label::after,
.custom-radio .custom-control-input ~ .custom-control-label::before,
.custom-radio .custom-control-input ~ .custom-control-label::after {
    height: 16px;
    width: 16px;
    top: 2px;
}

div.custom-control {
    min-height: 1.75rem;
}

label.custom-control-label {
    padding-left: 6px;
}

.k-grid-edit-row td.k-edit-cell {
    padding: .75rem;
}

.no-label label.custom-control-label {
    padding-left: 0;
    width: 0;
}

.md-card {
    background-color: #FFF;
    box-shadow: 0 2px 2px 0 rgba(0,0,0,.14), 0 3px 1px -2px rgba(0,0,0,.2), 0 1px 5px 0 rgba(0,0,0,.12);
}

.k-grid .k-checkbox:focus + label::before {
    outline: 0;
    box-shadow: none;
}

.k-grid .custom-control.custom-checkbox {
    margin-bottom: 0;
}

.k-grid .k-checkbox-label {
    margin-left: 4px;
    margin-bottom: 4px;
}

.k-checkbox-label::before {
    background: #FFF;
    border: #adb5bd solid 1px;
}

.k-checkbox-label::after {
    font-size: 8px;
}

.md-page {
    clear: both;
    margin-bottom: 50px;
    margin-top: 50px;
    padding: 20px 0;
}

div#toast-container {
    margin-top: 45px;
}

    div#toast-container > div {
        opacity: 1;
    }

.submit-wrapper {
    margin-top: 20px;
}

.submit-button {
    width: 120px;
}

.toolbar-table {
    margin-bottom: 20px;
}

    .toolbar-table .toolbar-table-wrapper {
        position: relative;
    }

    .toolbar-table .scroll-wrapper {
        max-height: 400px;
        overflow: auto
    }

    .toolbar-table .toolbar-table-toolbar {
        padding: .375rem;
        border: 1px solid #dee2e6;
        background: #f8f9fa;
        border-bottom: none;
    }

.custom-checkbox {
    margin-bottom: 5px;
}



.popover-notifications .popover-body {
    padding: 0;
    width: 273px;
    max-height: 400px;
    text-align: center;
}

    .popover-notifications .popover-body img {
        margin: 7px 0;
    }

.popover-notifications div.notifications > div {
    border-bottom: 1px solid #ddd;
    padding: 10px;
    cursor: pointer;
    position: relative;
}


    .popover-notifications div.notifications > div:hover {
        background: #f8f8f8;
    }

    .popover-notifications div.notifications > div:last-child {
        border-bottom: none;
    }


a.nav-link {
    cursor: pointer;
}


span.k-window-title {
    line-height: 1.3;
}


.file-input-button {
    position: relative;
    margin-bottom: 15px;
    overflow: hidden;
}

    .file-input-button input {
        position: absolute;
        top: 0;
        right: 0;
        margin: 0;
        opacity: 0;
        -ms-filter: 'alpha(opacity=0)';
        font-size: 200px !important;
        direction: ltr;
        cursor: pointer;
    }



#amc-selection.container-fluid,
#amc-appraiserSelection.container-fluid {
    padding: 0;
    position: absolute;
    top: 185px;
    left: 0;
    right: 0;
    bottom: 0;
}

.main-window-container {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    flex-direction: row;
    align-items: stretch;
}

.left-side-bar {
    position: absolute;
    top: 0;
    left: 0;
    bottom: 0;
    background: #2f4050;
    width: 300px;
}

.content-container {
    position: absolute;
    top: 0;
    left: 300px;
    right: 0;
    bottom: 0;
}


.content {
    margin: 15px;
}

.amc-map {
    width: 920px;
    height: 500px;
}

.amc-table {
    width: 920px;
    height: 500px;
}

.side-bar-content {
    padding: 15px;
}

.filter {
    position: relative;
}

    .filter label {
        color: #a7b1c2;
    }

    .filter .form-control {
        border: none;
    }

    .filter .input-wrapper {
        overflow: hidden;
    }

    .filter.editing .input-wrapper {
        margin-right: 74px;
    }

        .filter.editing .input-wrapper.no-default {
            margin-right: 39px;
        }

    .filter.editing .edit-button {
        top: auto;
        height: 34px;
        border-radius: 4px;
        border: none;
        background: #94c3ec;
        position: absolute;
        bottom: 0;
        right: 0;
        padding: 10px;
        color: #000;
    }

    .filter.editing .edit {
        right: 37px;
    }

    .filter.editing .edit-button .fa {
        vertical-align: top;
    }

.grid {
    margin-bottom: 6px;
}

.toggle-visiblity {
    background: #94c3ec;
    position: absolute;
    top: 0;
    bottom: 0;
    right: 0;
    padding: 10px;
    color: #000;
}

.editing .dashboard-card .card-title {
    background: #94c3ec;
    color: #000;
}

.grid-header {
    font-size: 14px;
    float: right;
}

.toggle-field {
    display: none;
}

.card-shadow {
    box-shadow: 0 2px 2px 0 rgba(0, 0, 0, 0.14), 0 3px 1px -2px rgba(0, 0, 0, 0.2), 0 1px 5px 0 rgba(0, 0, 0, 0.12);
}

.editing .sv-card {
    border: 1px solid #dcdcdc;
}

.sv-card {
    height: 75px;
    width: 220px;
    background: #FFF;
    margin: 0 10px 10px 0;
    overflow: hidden;
    border-radius: 2px;
    position: relative;
}

.card-content {
    display: flex;
    flex-direction: column;
    align-items: stretch;
    height: 100%;
    overflow-x: auto;
    overflow-y: hidden;
}

.card-title {
    flex: 0 0 auto;
    margin-bottom: 5px;
    display: flex;
    flex-direction: row;
    padding: 15px 15px 0 15px;
}

    .card-title span {
        font-size: 13px;
        white-space: nowrap;
        overflow: hidden;
        text-overflow: ellipsis;
        font-weight: bold;
        color: #676a6c;
    }

.sv-card-value {
    color: #18a689;
    font-size: 20px;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    padding: 0 15px 15px 15px;
}

.dashboard-card .card-title {
    border-bottom: 1px solid #A6A6A6;
    padding: 8px 8px 4px 8px;
}

.dashboard-card {
    position: relative;
    display: inline-block;
    margin: 0 10px 10px 0;
    position: relative;
    border: 1px solid #dcdcdc;
}

.card-chart-container {
    position: relative;
    flex: 1 0 auto;
    display: flex;
    padding: 0 15px 15px 15px;
}

.title {
    flex: 1 1 auto;
    font-weight: bold;
    font-size: 13px;
}

.actions {
    flex: 0 1 auto;
    align-self: flex-end;
}

.card-action {
    background: none;
    border: none;
    outline: none;
    padding: 0;
    margin: 0;
}

.map {
    flex: 0 1 auto;
    width: 100%;
}


.k-grid-save-changes {
    background-color: rgb(39,113,183) !important;
    color: rgb(255,255,255) !important;
}

.k-state-selected,
.k-state-selected:hover,
.k-state-selected:hover td {
    background-color: rgb(205, 230, 255) !important;
    color: #000 !important;
}

.k-grid td,
.k-grid th {
    font-size: 12px;
}

.card-vis {
    position: absolute;
    top: 5px;
    left: 10px;
    right: 10px;
    bottom: 10px;
}



.infoWindowTable td {
    padding: 3px;
}

.loading-page,
.loading-card-data {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background: rgba(0,0,0, .15);
    z-index: 999;
}

.loading-icon {
    position: absolute;
    left: 50%;
    top: 50%;
    height: 64px;
    width: 64px;
    margin-left: -32px;
    margin-top: -32px;
}


@media only screen and (max-width: 1415px) {
    .navigation-square.float-right {
        float: none !important;
    }
}